# stax

"Compile" and deploy [containerlib] projects to docker stacks. Uses docker-compose and Deno currently.

## Requirements

- A healthy fear of the end
- Docker CLI (for that sweet compose stuff)
- Deno

stax shells out to both so get them somewhere safe and cozy.

## Usage

stax-cli is not meant for human consumption! This is a diagnostic/troubleshooting tool! Ideally you'd be using serverman that will use libstax internally.

If you still wanna use it, here's the needlessly complex way to obtain it:

1. Add our registry to your `~/.cargo/config.toml`:
```toml
[registries]
staxman = { index = "sparse+https://git.fromouter.space/api/packages/staxman/cargo/" }
```

2. Run `cargo install --registry staxman stax-cli` to install it.

## License

AGPL-3.0-only